Create MAP project
curl --request POST \
--url https://api.nops.io/v1/map-manager \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"name": "2026 MAP Migration",
"migrationId": "M12345",
"tagValue": "migrated",
"creditPercent": 25,
"dateStart": "2026-01-01",
"dateEnd": "2026-12-31",
"targetSpending": 500000,
"mapCreditCap": 100000,
"windowsOptimization": false,
"entities": []
}
'import requests
url = "https://api.nops.io/v1/map-manager"
payload = {
"name": "2026 MAP Migration",
"migrationId": "M12345",
"tagValue": "migrated",
"creditPercent": 25,
"dateStart": "2026-01-01",
"dateEnd": "2026-12-31",
"targetSpending": 500000,
"mapCreditCap": 100000,
"windowsOptimization": False,
"entities": []
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: '2026 MAP Migration',
migrationId: 'M12345',
tagValue: 'migrated',
creditPercent: 25,
dateStart: '2026-01-01',
dateEnd: '2026-12-31',
targetSpending: 500000,
mapCreditCap: 100000,
windowsOptimization: false,
entities: []
})
};
fetch('https://api.nops.io/v1/map-manager', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.nops.io/v1/map-manager"
payload := strings.NewReader("{\n \"name\": \"2026 MAP Migration\",\n \"migrationId\": \"M12345\",\n \"tagValue\": \"migrated\",\n \"creditPercent\": 25,\n \"dateStart\": \"2026-01-01\",\n \"dateEnd\": \"2026-12-31\",\n \"targetSpending\": 500000,\n \"mapCreditCap\": 100000,\n \"windowsOptimization\": false,\n \"entities\": []\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"project": {
"id": 1,
"name": "2026 MAP Migration"
}
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}MAP Manager
Create MAP project
POST
https://api.nops.io
/
v1
/
map-manager
Create MAP project
curl --request POST \
--url https://api.nops.io/v1/map-manager \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"name": "2026 MAP Migration",
"migrationId": "M12345",
"tagValue": "migrated",
"creditPercent": 25,
"dateStart": "2026-01-01",
"dateEnd": "2026-12-31",
"targetSpending": 500000,
"mapCreditCap": 100000,
"windowsOptimization": false,
"entities": []
}
'import requests
url = "https://api.nops.io/v1/map-manager"
payload = {
"name": "2026 MAP Migration",
"migrationId": "M12345",
"tagValue": "migrated",
"creditPercent": 25,
"dateStart": "2026-01-01",
"dateEnd": "2026-12-31",
"targetSpending": 500000,
"mapCreditCap": 100000,
"windowsOptimization": False,
"entities": []
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: '2026 MAP Migration',
migrationId: 'M12345',
tagValue: 'migrated',
creditPercent: 25,
dateStart: '2026-01-01',
dateEnd: '2026-12-31',
targetSpending: 500000,
mapCreditCap: 100000,
windowsOptimization: false,
entities: []
})
};
fetch('https://api.nops.io/v1/map-manager', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.nops.io/v1/map-manager"
payload := strings.NewReader("{\n \"name\": \"2026 MAP Migration\",\n \"migrationId\": \"M12345\",\n \"tagValue\": \"migrated\",\n \"creditPercent\": 25,\n \"dateStart\": \"2026-01-01\",\n \"dateEnd\": \"2026-12-31\",\n \"targetSpending\": 500000,\n \"mapCreditCap\": 100000,\n \"windowsOptimization\": false,\n \"entities\": []\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"project": {
"id": 1,
"name": "2026 MAP Migration"
}
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Authorizations
API key from Settings → Security → API Keys. Pass as Authorization: Bearer YOUR_API_KEY.
Headers
Unique key for safe retries on write requests (required, max 64 characters).
Maximum string length:
64Body
application/json
Minimum string length:
1Minimum string length:
1Minimum string length:
1Required range:
0 <= x <= 100Pattern:
^\d{4}-\d{2}-\d{2}$Pattern:
^\d{4}-\d{2}-\d{2}$Required range:
x > 0Required range:
x > 0Available options:
yes, no, not_applicable Show child attributes
Show child attributes
Minimum string length:
1Show child attributes
Show child attributes
Response
Create MAP project
Show child attributes
Show child attributes
Was this page helpful?
⌘I